Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom
Class NotationImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.NotationImpl

All Implemented Interfaces:
  java.lang.Cloneable, org.w3c.dom.events.EventTarget, org.w3c.dom.Node, org.w3c.dom.NodeList, org.w3c.dom.Notation, java.io.Serializable

Direct Known Subclasses:
  DeferredNotationImpl

public class NotationImpl
extends NodeImpl
implements org.w3c.dom.Notation

Notations are how the Document Type Description (DTD) records hints about the format of an XML "unparsed entity" -- in other words, non-XML data bound to this document type, which some applications may wish to consult when manipulating the document. A Notation represents a name-value pair, with its nodeName being set to the declared name of the notation.

Notations are also used to formally declare the "targets" of Processing Instructions.

Note that the Notation's data is non-DOM information; the DOM only records what and where it is.

See the XML 1.0 spec, sections 4.7 and 2.6, for more info.

Level 1 of the DOM does not support editing Notation contents.

Since:
  PR-DOM-Level-1-19980818.
Version:
  $Id: NotationImpl.java,v 1.16 2002/08/24 20:39:22 lmartin Exp $
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `baseURI` Base URI
`protected java.lang.String` | `name` Notation name.
`protected java.lang.String` | `publicId` Public identifier.
`protected java.lang.String` | `systemId` System identifier.

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`NotationImpl(CoreDocumentImpl ownerDoc, java.lang.String name)` Factory constructor.

Method Summary
`java.lang.String` | `getBaseURI()` DOM Level 3 WD - Experimental.
`java.lang.String` | `getNodeName()` Returns the notation name
`short` | `getNodeType()` A short integer indicating what type of node this is.
`java.lang.String` | `getPublicId()` The Public Identifier for this Notation.
`java.lang.String` | `getSystemId()` The System Identifier for this Notation.
`void` | `setBaseURI(java.lang.String uri)` NON-DOM: set base uri
`void` | `setPublicId(java.lang.String id)` NON-DOM: The Public Identifier for this Notation.
`void` | `setSystemId(java.lang.String id)` NON-DOM: The System Identifier for this Notation.

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, cloneNode, compareDocumentPosition, compareTreePosition, dispatchEvent, getAttributes, getChildNodes, getContainer, getFeature, getFirstChild, getLastChild, getLength, getLocalName, getNamespaceURI, getNextSibling, getNodeNumber, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getReadOnly, getTextContent, getUserData, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, item, lookupNamespaceURI, lookupPrefix, needsSyncChildren, normalize, removeChild, removeEventListener, replaceChild, setNodeValue, setPrefix, setReadOnly, setTextContent, setUserData, setUserData, synchronizeData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Field Detail

### name

    protected java.lang.String name

  Notation name.

### publicId

    protected java.lang.String publicId

  Public identifier.

### systemId

    protected java.lang.String systemId

  System identifier.

### baseURI

    protected java.lang.String baseURI

  Base URI

Constructor Detail

### NotationImpl

    public NotationImpl(CoreDocumentImpl ownerDoc,
                        java.lang.String name)

  Factory constructor.

Method Detail

### getNodeType

    public short getNodeType()

  A short integer indicating what type of node this is. The named constants for this value are defined in the org.w3c.dom.Node interface.
  Specified by:
    `getNodeType` in interface `org.w3c.dom.Node`
  Overrides:
    `getNodeType` in class `NodeImpl`

### getNodeName

    public java.lang.String getNodeName()

  Returns the notation name
  Specified by:
    `getNodeName` in interface `org.w3c.dom.Node`
  Overrides:
    `getNodeName` in class `NodeImpl`

### getPublicId

    public java.lang.String getPublicId()

  The Public Identifier for this Notation. If no public identifier was specified, this will be null.
  Specified by:
    `getPublicId` in interface `org.w3c.dom.Notation`

### getSystemId

    public java.lang.String getSystemId()

  The System Identifier for this Notation. If no system identifier was specified, this will be null.
  Specified by:
    `getSystemId` in interface `org.w3c.dom.Notation`

### setPublicId

    public void setPublicId(java.lang.String id)

  NON-DOM: The Public Identifier for this Notation. If no public identifier was specified, this will be null.

### setSystemId

    public void setSystemId(java.lang.String id)

  NON-DOM: The System Identifier for this Notation. If no system identifier was specified, this will be null.

### getBaseURI

    public java.lang.String getBaseURI()

  DOM Level 3 WD - Experimental. Retrieve baseURI
  Overrides:
    `getBaseURI` in class `NodeImpl`

### setBaseURI

    public void setBaseURI(java.lang.String uri)

  NON-DOM: set base uri

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.